Page MenuHomePhabricator

missing cache invalidation for TemplateModule
Closed, ResolvedPublic

Description

Compare https://test.wikidata.org/wiki/Q537 with http://wikidata.beta.wmflabs.org/wiki/Q15905 . Currently both are on the same Wikibase version. But the first is missing some html and thus icons on edit buttons. Is fixed by clearing local storage.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : wmf/1.27.0-wmf.8Implement cache invalidation for TemplateModule
mediawiki/extensions/Wikibase : masterImplement cache invalidation for TemplateModule

Event Timeline

JanZerebecki raised the priority of this task from to High.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 8 2015, 11:54 PM
JanZerebecki updated the task description. (Show Details)Dec 8 2015, 11:57 PM
JanZerebecki set Security to None.
hoo added a subscriber: hoo.Dec 9 2015, 12:44 AM

Both look fine to me (without additional purging), both logged in and out.

JanZerebecki closed this task as Declined.Dec 9 2015, 1:32 AM
JanZerebecki claimed this task.

It was solved by deleting the local storage resource loader key in my browser. Forgot to save the content of that key before deleting. Seems too weird a case (oddly the sitelinks were correct, the [] were not around the edit) to salvage this report as a ResourceLoader bug.

JanZerebecki changed the task status from Declined to Invalid.Dec 9 2015, 1:32 AM
aude added a subscriber: aude.Dec 9 2015, 10:35 AM

when i click edit (such as for editing labels or a statement) on https://test.wikidata.org/wiki/Q22, there are no icons for save / cancel

as a user, i shouldn't have to do anything to my local storage. i'm not exactly sure what the problem is here :/

JanZerebecki reopened this task as Open.Dec 9 2015, 12:32 PM

Change 257891 had a related patch set uploaded (by Hoo man):
Implement file modified time cache invalidation for TemplateModule

https://gerrit.wikimedia.org/r/257891

hoo moved this task from Done to Review on the Wikidata-Sprint-2015-12-01 board.Dec 9 2015, 3:05 PM

Change 257895 had a related patch set uploaded (by JanZerebecki):
Implement cache invalidation for TemplateModule

https://gerrit.wikimedia.org/r/257895

Change 257891 merged by jenkins-bot:
Implement cache invalidation for TemplateModule

https://gerrit.wikimedia.org/r/257891

Change 257895 merged by jenkins-bot:
Implement cache invalidation for TemplateModule

https://gerrit.wikimedia.org/r/257895

JanZerebecki renamed this task from edit and add statment icons are not there to missing cache invalidation for TemplateModule.Dec 9 2015, 4:12 PM
JanZerebecki closed this task as Resolved.
JanZerebecki updated the task description. (Show Details)